yp_master
yp_next
YP/NIS Funções
PHP Manual

# yp_match

(PHP 4, PHP 5 <= 5.0.5)

yp_match — Returns the matched line

### Descrição

string yp_match ( string `$domain` , string `$map` , string `$key` )

Returns the value associated with the passed `key` out of the specified `map`.

### Parâmetros

`domain`

  The NIS domain name.

`map`

  The NIS map.

`key`

  This key must be exact.

### Valor Retornado

Returns the value, or `FALSE` on errors.

### Exemplos

Exemplo #1 Example for NIS match

`<?php
$entry = yp_match($domain, "passwd.byname", "joe");
echo "Matched entry is: " . $entry;
?>`

O exemplo acima irá imprimir algo similar a:

    joe:##joe:11111:100:Joe User:/home/j/joe:/usr/local/bin/bash

### Veja Também

- yp_get_default_domain() - Fetches the machine's default NIS domain

yp_master
yp_next
YP/NIS Funções
PHP Manual